Changeset 58324 in vbox
- Timestamp:
- Oct 20, 2015 8:39:37 AM (10 years ago)
- svn:sync-xref-src-repo-rev:
- 103523
- Location:
- trunk/src/VBox
- Files:
-
- 9 edited
Legend:
- Unmodified
- Added
- Removed
-
trunk/src/VBox/Additions/linux/export_modules
r57316 r58324 16 16 # 17 17 18 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 19 TARGET=`readlink -e -- "${0}"` || exit 1 20 MY_DIR="${TARGET%/[!/]*}" 21 18 22 if [ -z "$1" ]; then 19 23 echo "Usage: $0 <filename.tar.gz>" … … 25 29 PATH_OUT=$PATH_TMP 26 30 FILE_OUT="`cd \`dirname $1\`; pwd`/`basename $1`" 27 PATH_ROOT=" `cd \`dirname $0\`/../../../..; pwd`"31 PATH_ROOT="${MY_DIR}/../../../..; pwd`" 28 32 PATH_LINUX="$PATH_ROOT/src/VBox/Additions/linux" 29 33 PATH_VBOXGUEST="$PATH_ROOT/src/VBox/Additions/common/VBoxGuest" -
trunk/src/VBox/Additions/linux/installer/autorun.sh
r36759 r58324 27 27 fi 28 28 29 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 30 TARGET=`readlink -e -- "${0}"` || exit 1 31 path="${TARGET%/[!/]*}" 29 32 # 32-bit or 64-bit? 30 path=`dirname $0`31 33 case `uname -m` in 32 34 i[3456789]86|x86|i86pc) -
trunk/src/VBox/HostDrivers/linux/export_modules
r57327 r58324 15 15 # 16 16 17 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 18 TARGET=`readlink -e -- "${0}"` || exit 1 19 MY_DIR="${TARGET%/[!/]*}" 20 17 21 if [ -z "$1" ]; then 18 22 echo "Usage: $0 <filename.tar.gz> [--without-hardening]" … … 29 33 PATH_OUT=$PATH_TMP 30 34 FILE_OUT="`cd \`dirname $1\`; pwd`/`basename $1`" 31 PATH_ROOT=" `cd \`dirname $0\`/../../../..; pwd`"35 PATH_ROOT="${MY_DIR}/../../../..; pwd`" 32 36 PATH_LINUX="$PATH_ROOT/src/VBox/HostDrivers/linux" 33 37 PATH_VBOXDRV="$PATH_ROOT/src/VBox/HostDrivers/Support" -
trunk/src/VBox/HostDrivers/linux/load.sh
r58264 r58324 16 16 # 17 17 18 MY_DIR=`dirname "$0"` 19 MY_DIR=`cd "${MY_DIR}" && pwd` 20 if [ ! -d "${MY_DIR}" ]; then 21 echo "Cannot find ${MY_DIR} or it's not a directory..." 22 exit 1; 23 fi 18 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 19 TARGET=`readlink -e -- "${0}"` || exit 1 20 MY_DIR="${TARGET%/[!/]*}" 24 21 25 22 set -e -
trunk/src/VBox/HostDrivers/linux/loadall.sh
r58264 r58324 16 16 # 17 17 18 MY_DIR=`dirname "$0"` 19 MY_DIR=`cd "${MY_DIR}" && pwd` 20 if [ ! -d "${MY_DIR}" ]; then 21 echo "Cannot find ${MY_DIR} or it's not a directory..." 22 exit 1; 23 fi 18 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 19 TARGET=`readlink -e -- "${0}"` || exit 1 20 MY_DIR="${TARGET%/[!/]*}" 24 21 25 22 if test ${#} -eq 0; then -
trunk/src/VBox/Installer/linux/postinst-common.sh
r58214 r58324 23 23 # (e.g. /opt/VirtualBox, /usr/lib/VirtualBox, the build output directory). 24 24 25 # This is GNU-specific, sorry Solaris. It fails on directories ending in '\n'. 26 MY_PATH="$(dirname $(readlink -f -- "${0}"))" 25 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 26 TARGET=`readlink -e -- "${0}"` || exit 1 27 MY_PATH="${TARGET%/[!/]*}" 27 28 cd "${MY_PATH}" 28 29 . "./routines.sh" 29 30 30 31 START=true 31 TARGET="${MY_PATH}"32 32 while test -n "${1}"; do 33 33 case "${1}" in … … 49 49 50 50 # Install runlevel scripts and systemd unit files 51 install_init_script "${ TARGET}/vboxdrv.sh" vboxdrv52 install_init_script "${ TARGET}/vboxballoonctrl-service.sh" vboxballoonctrl-service53 install_init_script "${ TARGET}/vboxautostart-service.sh" vboxautostart-service54 install_init_script "${ TARGET}/vboxweb-service.sh" vboxweb-service51 install_init_script "${MY_PATH}/vboxdrv.sh" vboxdrv 52 install_init_script "${MY_PATH}/vboxballoonctrl-service.sh" vboxballoonctrl-service 53 install_init_script "${MY_PATH}/vboxautostart-service.sh" vboxautostart-service 54 install_init_script "${MY_PATH}/vboxweb-service.sh" vboxweb-service 55 55 56 56 delrunlevel vboxdrv -
trunk/src/VBox/Installer/linux/prerm-common.sh
r58241 r58324 27 27 # error). 28 28 29 # This is GNU-specific, sorry Solaris. 30 MY_PATH="$(dirname $(readlink -f -- "${0}"))/" 29 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 30 TARGET=`readlink -e -- "${0}"` || exit 1 31 MY_PATH="${TARGET%/[!/]*}" 31 32 cd "${MY_PATH}" 32 33 . "./routines.sh" -
trunk/src/VBox/Installer/linux/uninstall.sh
r58186 r58324 16 16 # 17 17 18 . `dirname $0`/routines.sh 18 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 19 TARGET=`readlink -e -- "${0}"` || exit 1 20 MY_PATH="${TARGET%/[!/]*}" 21 . "${MY_PATH}/routines.sh" 19 22 20 23 if [ -z "$ro_LOG_FILE" ]; then … … 49 52 # Do pre-removal common to all installer types, currently service script 50 53 # clean-up. 51 `dirname $0`/prerm-common.sh || exit 1 # Arguments intentionally not quoted. 54 "${MY_PATH}/prerm-common.sh" || exit 1 52 55 53 56 # Remove kernel module installed -
trunk/src/VBox/Installer/linux/vboxdrv.sh
r58271 r58324 32 32 MODPROBE=/sbin/modprobe 33 33 SCRIPTNAME=vboxdrv 34 # This is GNU-specific, sorry Solaris. It fails on directories ending in '\n'. 35 SCRIPT_DIR="$(dirname $(readlink -f -- "${0}"))" 34 35 # The below is GNU-specific. See VBox.sh for the longer Solaris/OS X version. 36 TARGET=`readlink -e -- "${0}"` || exit 1 37 SCRIPT_DIR="${TARGET%/[!/]*}" 36 38 37 39 if $MODPROBE -c | grep -q '^allow_unsupported_modules *0'; then
Note:
See TracChangeset
for help on using the changeset viewer.